Subject: Re: [PATCH v2] urlmatch: create fetch.credentialsInUrl config

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 May 2022 11:40:47 -0700

Junio C Hamano <[email-masked]> writes:

> It does make me wonder if we want another parser in the new
> function.  Wouldn't it be easier to manage if we inserted a
> call to 
>
> 	if (passwd_off)
> 		apply_fetch_credentials_in_url(result,
>         			user_off, user_len, passwd_off, passwd_len);
>
> just after the strbuf_detach() we see near the end of the function, where
> apply_fetch_credentials_in_url() only reads the configuration and
> calls warning or die as appropriate?

The new function does not even have to take user_off and user_len,
and work only with the while string with <ofs,len> pair for the
password, I think, as that is the only thing it redacts in the
output.  Sorry about the noise.